# Asterisk Project : Asterisk 13 Application_CallCompletionRequest

Created by wikibot on Aug 08, 2014

# CallCompletionRequest()

### Synopsis

Request call completion service for previous call

### Description

Request call completion service for a previously failed call attempt.

This application sets the following channel variables:

- `CC_REQUEST_RESULT` - This is the returned status of the request.
  - SUCCESS
  - FAIL
- `CC_REQUEST_REASON` - This is the reason the request failed.
  - NO_CORE_INSTANCE
  - NOT_GENERIC
  - TOO_MANY_REQUESTS
  - UNSPECIFIED

### Syntax

    CallCompletionRequest()

##### Arguments

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538